<?php

/**
 * @file
 * Contains \Drupal\mailjet_list\Controller\ListMailjetController.
 */

namespace Drupal\mailjet_list\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\mailjet\MailjetApi;
use Drupal\mailjet\MailjetIframe;

class ListMailjetController extends ControllerBase
{

    public function content()
    {
        global $base_url;

        $build = [];
        $config_mailjet = \Drupal::config('mailjet.settings');
        if (empty($config_mailjet->get('mailjet_active')) && empty($config_mailjet->get('mailjet_username')) && empty($config_mailjet->get('mailjet_password'))) {
            \Drupal::messenger()->addMessage(t('You need to add your Mailjet API details before you can continue'), 'warning');
            $response = new RedirectResponse('admin/config/mailjet/settings');
            $response->send();
        }

        $mailjetIframe = MailjetApi::getMailjetIframe($config_mailjet->get('mailjet_username'), $config_mailjet->get('mailjet_password'));
        $mailjetIframe->setInitialPage(MailjetIframe::PAGE_CONTACTS);

        $build = [
        '#type' => 'inline_template',
        '#template' => '<div id="iframe-main-container" class="iframe-main-container" style="width:100%; height: 1300px;">' . $mailjetIframe->getHtml() . '</div>',
        ];

        return $build;
    }

}
